Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb.common.v2
Class WaitingPeriodType

    java.lang.Object
      be.vlaanderen.mercurius.vsb.common.v2.WaitingPeriodType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:20:34+02:00",
               comments="JAXB RI v2.3.6")
    public class WaitingPeriodType

extends Object
implements Serializable

used: ConsultSanctionMeasuresView.xsd, ConsultWaitingPeriodView.xsd, PushViews.xsd

Java class for WaitingPeriodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="WaitingPeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NumberOfYears" type="{http://www.w3.org/2001/XMLSchema}short"/>
             <element name="StartYear" type="{http://www.mercurius.vlaanderen.be/vsb/common/v2}YearType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`WaitingPeriodType()`

Method Summary
`short` | `getNumberOfYears()` Gets the value of the numberOfYears property.
`Integer` | `getStartYear()` Gets the value of the startYear property.
`void` | `setNumberOfYears(short value)` Sets the value of the numberOfYears property.
`void` | `setStartYear(Integer value)` Sets the value of the startYear property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WaitingPeriodType

    public WaitingPeriodType()

Method Detail

### getNumberOfYears

    public short getNumberOfYears()

  Gets the value of the numberOfYears property.

### setNumberOfYears

    public void setNumberOfYears(short value)

  Sets the value of the numberOfYears property.

### getStartYear

    public Integer getStartYear()

  Gets the value of the startYear property.

  Returns:
    possible object is `Integer`

### setStartYear

    public void setStartYear(Integer value)

  Sets the value of the startYear property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.